Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LRUStatefulContextCachePolicy

    java.lang.Object
      |
      +--org.jboss.util.LRUCachePolicy
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
                  |
                  +--org.jboss.ejb.plugins.LRUStatefulContextCachePolicy

All Implemented Interfaces:
  CachePolicy, EnterpriseContextCachePolicy, Monitorable, Service, XmlLoadable

public class LRUStatefulContextCachePolicy
extends LRUEnterpriseContextCachePolicy

Least Recently Used cache policy for StatefulSessionEnterpriseContexts.

Version:
  $Revision: 1.1.4.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)

Inner Class Summary
`protected class` | `LRUStatefulContextCachePolicy.RemoverTask` This TimerTask removes beans that have not been called for a while.

Inner classes inherited from class org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
`LRUEnterpriseContextCachePolicy.ContextLRUList, LRUEnterpriseContextCachePolicy.OveragerTask, LRUEnterpriseContextCachePolicy.ResizerTask`

Inner classes inherited from class org.jboss.util.LRUCachePolicy
`LRUCachePolicy.LRUCacheEntry, LRUCachePolicy.LRUList`

Inner classes inherited from class org.jboss.ejb.plugins.EnterpriseContextCachePolicy
`EnterpriseContextCachePolicy.Scheduler`

Fields inherited from class org.jboss.util.LRUCachePolicy
`m_list, m_map, m_maxCapacity, m_minCapacity`

Fields inherited from interface org.jboss.ejb.plugins.EnterpriseContextCachePolicy
`scheduler`

Constructor Summary
`LRUStatefulContextCachePolicy(AbstractInstanceCache eic)` Creates a LRU cache policy object given the instance cache that use this policy object.

Method Summary
`void` | `importXml(org.w3c.dom.Element element)` Reads from the configuration the parameters for this cache policy, that are all optionals.
`void` | `start()` Starts this cache that is now ready to be used.
`void` | `stop()` Stops this cache thus `LRUCachePolicy.flush()`ing all cached objects.

Methods inherited from class org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
`ageOut, cacheMiss, createList, sample`

Methods inherited from class org.jboss.util.LRUCachePolicy
`createCacheEntry, destroy, flush, get, init, insert, peek, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.CachePolicy
`flush, get, insert, peek, remove`

Methods inherited from interface org.jboss.util.Service
`destroy, init`

Constructor Detail

### LRUStatefulContextCachePolicy

    public LRUStatefulContextCachePolicy(AbstractInstanceCache eic)

  Creates a LRU cache policy object given the instance cache that use this policy object.

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Description copied from class: `LRUCachePolicy`
  Starts this cache that is now ready to be used.
  Overrides:
    `start` in class `LRUEnterpriseContextCachePolicy`
  Following copied from class: `org.jboss.util.LRUCachePolicy`
  See Also:
    `LRUCachePolicy.init()`, `LRUCachePolicy.stop()`

### stop

    public void stop()

  Description copied from class: `LRUCachePolicy`
  Stops this cache thus `LRUCachePolicy.flush()`ing all cached objects.
  After this method is called, a call to `LRUCachePolicy.start()` will restart the cache.
  Overrides:
    `stop` in class `LRUEnterpriseContextCachePolicy`
  Following copied from class: `org.jboss.util.LRUCachePolicy`
  See Also:
    `LRUCachePolicy.start()`, `LRUCachePolicy.destroy()`

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Reads from the configuration the parameters for this cache policy, that are all optionals.
  Overrides:
    `importXml` in class `LRUEnterpriseContextCachePolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.